Retail Express API 2.1

stockreceipts

Creates Stock Receipt

Sample request:

POST /stockreceipts
{
    "source_type": "PO",
    "source_id": 1,
    "source_item_id": 1,
    "source_receipt_item_id": 1,
    "product": 
    {
        "id": 124001
    },
    "outlet":
    {
        "id": 1
    },
    "received_quantity": 10,
    "buy_price_ex": 100,
    "direct_costs_ex": 10.1,
    "tax_rate": 1.1
}
post
https://api.retailexpress.com.au/v2.1/stockreceipts

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Stock Receipt model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Stock Receipt created

StockReceipt

Stock Receipt model

* Additional properties are NOT allowed.
idinteger(int32)

Stock receipt id

source_typestring | null

Source type Available values: ‘PO’ or ‘ITO’

source_idinteger(int32)

Source id
represents id of source - can be for either dbo.PO or dbo.tblITO

source_item_idinteger | null(int32)

Source item id
represents id of source item

source_receipt_item_idinteger | null(int32)

Source receipt item id
represents id of receipt item

productobject
* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
received_quantityinteger(int32)

Received quantity (must be > 0)

buy_price_exnumber(double)

Buy price ex (must be >= 0)

direct_costs_exnumber(double)

Direct costs ex

tax_ratenumber(double)

Tax rate

created_onstring(date-time)

Created on

post/stockreceipts

Body

{}
 
application/json

Searches Stock Receipts by parameters

Searches Stock Receipts by parameters

get
https://api.retailexpress.com.au/v2.1/stockreceipts

Query Parameters

filter_bystring | null

Filter by.
Available field name values: id, source_type, source_id, source_item_id, source_receipt_item_id, product_id, outlet (mapped to Warehouse name), created_on.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:2|432

order_bystring | null

Order by.

Available field name values: id, source_type, source_id, source_item_id, source_receipt_item_id, product_id, outlet (mapped to Warehouse name), received_quantity, created_on.

Available direction values: asc, desc.

Example: id asc, product_id desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Stock Receipts data

StockReceipt.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Stock Receipt model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/stockreceipts
 
application/json

Gets Stock Receipt by id

Gets Stock Receipt by id

get
https://api.retailexpress.com.au/v2.1/stockreceipts/{id}

Path Parameters

idinteger(int32)required

Stock Receipt id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Stock Receipt

StockReceipt

Stock Receipt model

* Additional properties are NOT allowed.
idinteger(int32)

Stock receipt id

source_typestring | null

Source type Available values: ‘PO’ or ‘ITO’

source_idinteger(int32)

Source id
represents id of source - can be for either dbo.PO or dbo.tblITO

source_item_idinteger | null(int32)

Source item id
represents id of source item

source_receipt_item_idinteger | null(int32)

Source receipt item id
represents id of receipt item

productobject
* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
received_quantityinteger(int32)

Received quantity (must be > 0)

buy_price_exnumber(double)

Buy price ex (must be >= 0)

direct_costs_exnumber(double)

Direct costs ex

tax_ratenumber(double)

Tax rate

created_onstring(date-time)

Created on

get/stockreceipts/{id}
 
application/json

supplierinvoices